"""padel URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path

from . import views

urlpatterns = [

    path('tv/club/<str:club_name>/<str:tournament_shortname>/poules/', views.tv_brackets, name='brackets'),
    path('club/<str:club_name>/<str:tournament_shortname>/poules/', views.brackets, name='brackets'),
    path('tv/club/<str:club_name>/tournoi/<int:tournament_id>/poules/', views.tv_brackets_tournament_id, name='brackets'),
    path('club/<str:club_name>/tournoi/<int:tournament_id>/poules/', views.brackets_tournament_id, name='brackets'),


    path('tv/club/<str:club_name>/<str:tournament_shortname>/classement/', views.tv_ranking, name='ranks'),
    path('club/<str:club_name>/<str:tournament_shortname>/classement/', views.ranking, name='ranks'),
    path('tv/club/<str:club_name>/tournoi/<int:tournament_id>/classement/', views.tv_ranking_tournament_id, name='ranks'),
    path('club/<str:club_name>/tournoi/<int:tournament_id>/classement/', views.ranking_tournament_id, name='ranks'),

    path('match/<int:match_id>/', views.match, name='match'),
    path('tv/match/<int:match_id>/', views.match_tv, name='match'),
    
    path('tv/club/<str:club_name>/tournoi/<int:tournament_id>/equipes/', views.tv_teams_club_name_tournament, name='teams'),
    path('tv/tournoi/<str:tournament_shortname>/equipes/', views.tv_teams_tournament_name, name='teams'),
    path('tv/club/<str:club_name>/<str:tournament_shortname>/equipes/', views.tv_teams_club_name_tournament_name, name='teams'),

    path('tv/', views.tv_index, name='index'),
    path('tv/tournoi/<str:tournament_shortname>/', views.tv_tournament_name, name='tournament'),
    path('tv/club/<str:club_name>/', views.tv_club_name, name='club'),
    path('tv/club/<str:club_name>/tournoi/<int:tournament_id>/', views.tv_club_name_tournament, name='tournament'),
    path('tv/club/<str:club_name>/<str:tournament_shortname>/', views.tv_club_name_tournament_name, name='tournament'),

    path('club/<str:club_name>/<str:tournament_shortname>/equipes/', views.teams_club_name_tournament_name, name='teams'),
    path('tournoi/<str:tournament_shortname>/equipes/', views.teams_tournament_name, name='teams'),
    path('club/<str:club_name>/tournoi/<int:tournament_id>/equipes/', views.teams_club_name_tournament, name='teams'),
    path('club/<str:club_name>/<str:tournament_shortname>/', views.club_name_tournament_name, name='tournament'),
    path('club/<str:club_name>/tournoi/<int:tournament_id>/', views.club_name_tournament, name='tournament'),
    path('club/<str:club_name>/', views.club_name, name='club'),

    path('', views.index, name='index'),
    path('club/<str:club_name>/tournoi/<int:tournament_id>/', views.club_name_tournament, name='tournament'),
    path('club/<str:club_name>/<str:tournament_shortname>/', views.club_name_tournament_name, name='tournament'),
    path('tournoi/<str:tournament_shortname>/', views.tournament_name, name='tournament'),
]
